## tp-task-openafs 0.10

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyrigth: 2005-2013 Instituto Superior Técnico
# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>

# License: GPL2+ with OpenSSL exception


# "based" on template Makefile for most debian packages version 0.24

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=wheezy
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
#CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


#configure:unpack debian/stamp-patched configure-up-stamp
configure:unpack configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build-arch: configure build-arch-up-stamp
build-arch-up-stamp:
	touch build-arch-up-stamp


build-indep: configure build-indep-up-stamp
build-indep-up-stamp:
	touch build-indep-up-stamp


build: build-arch build-indep


install: build installconf-tp-conf-afs-client installconf-tp-conf-afs-login install-tp-aklog


installconf-%: build
	install -d debian/$*/$(SBINDIR)
	install $*-config debian/$*/$(SBINDIR)


install-tp-aklog: 
	install -d debian/tp-aklog/$(BINDIR)
	install tp-aklog debian/tp-aklog/$(BINDIR)/aklog
	#ln -s $(BINDIR)/tp-aklog debian/tp-aklog/$(BINDIR)/aklog 


clean:
	make unpatch || rm debian/stamp-patched
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	make -f ../upload upload

# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
tp-task-openafs (0.10) wheezy; urgency=low

  * Updated Makefile to version v0.24.
  * Updated name and email of maintainer.
  * Changed section from taguspark to dsi.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 17 Jan 2014 17:25:06 +0000

tp-task-openafs (0.9) squeeze; urgency=low

  * No entry.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 18 Jun 2013 15:40:03 +0100

tp-task-openafs (0.8) updates; urgency=low

  * tp-aklog only use -524 when ThisCell is realm.tagus.ist.utl.pt, not a
    complete fix, but good enough for now.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 14 Feb 2011 16:15:10 +0000

tp-task-openafs (0.7) updates; urgency=low

  * Drafted changes on copyright for following DEP5.
  * libnss-ldap and libpam-ldap have an alternative implementation in
    squeeze, adjust depends for both of the implementations.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 13 Feb 2011 19:21:53 +0000

tp-task-openafs (0.6) updates; urgency=low

  * Updated Makefile to version 0.13
  * Renamed depends from libpam-openafs-session to libpam-afs-session

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sat, 05 Feb 2011 15:50:13 +0000

tp-task-openafs (0.5) updates; urgency=low

  * the list of afsdb on realm.tagus.ist.utl.pt changed, no path for
    upgrade yet.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 25 Sep 2009 14:38:57 +0100

tp-task-openafs (0.4) UNRELEASED; urgency=low

  * give permissions to console users

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  2 Oct 2007 07:04:43 +0100

tp-task-openafs (0.3) updates; urgency=low

  * created tp-task2-afs-login - for integrated login with AFS, LDAP and
    Kerberos.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 10 Apr 2007 19:34:52 +0100

tp-task-openafs (0.2) updates; urgency=low

  * added an option to change the directory with the configuration files
    tp-conf-afs-client-config
  * changed the depends to openafs-modules
  * created shell script to wrap around original aklog, that is in
    tp-aklog

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 23 Jan 2007 13:00:15 +0000

tp-task-openafs (0.1) updates; urgency=low

  * major rewrite in place
  * detects kind of Kerberos to adjust kdc_timesync as an workaround to
    Heimdal bug

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun,  8 Oct 2006 03:41:46 +0100

tp-task-openafs (1.1) unstable; urgency=low

  * rename configure script to tp-conf-openafs-config, so it can be 
    Policy compliant
  * makes a backup copy of configuration files
  * updated the DBServers of cells realm.ist.utl.pt and ist.utl.pt
  * need testing before a release
  * corrected depends on openafs-modules for kernel 2.6.8 on sarge
  * Corrected depends for aklog program.
  * corrected deppends on openafs-modules because security updates for 
    the kernels

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 16 Apr 2006 18:39:52 +0100

tp-task-openafs (1.0) unstable; urgency=low

  * Initial Release.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  8 Nov 2005 15:51:17 +0000

=== debian/control ===
Source: tp-task-openafs
Section: dsi
Priority: optional
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1


Package: tp-conf-afs-client
Architecture: all
Enhances: tp-task2-afs-heimdal-client, tp-task2-afs-mit-client,
Replaces: tp-conf-openafs
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk
Description: configure openafs and kerberos for use in IST
 Configure the kerberos and the openafs to be a client of openafs in
 Instituto Superior Tecnico.  You can choose to access the files in
 Taguspark or in IST-Alameda.  You can use it even if you don't have
 an afs client installed.
 .
 Run tp-conf-openafs-config to change the default cell.  You don't
 need to have an account, but you may to talk to CIIST to get one.


Package: tp-conf-afs-login
Architecture: all
Enhances: tp-task2-afs-heimdal-login, tp-task2-afs-mit-login,
Replaces: tp-conf-openafs
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk
Recommends: tp-conf-afs-client, tp-conf-libnss-ldap, tp-conf-libpam-ldap
Description: configure centralized login on Taguspark
 Configure the kerberos and the openafs to be a client of openafs in
 Instituto Superior Tecnico.  
 .
 Run tp-conf-openafs-config to change the default cell.  If don't
 need to have an account, but you may to talk to CIIST to get one.


Package: tp-task2-afs-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 tp-task2-afs-heimdal-client | tp-task2-afs-mit-client
Description: software to be client of openafs
 Software needed to be a client of openafs, to authenticate you need
 to choose between kerberos client from Heimdal or MIT.
 .
 You can use pre-compiled modules for Debian v3.1 Kernels or install
 openafs-modules-source to compile your own modules.
 .
 To configure the software use tp-conf-openafs-config.


Package: tp-task2-afs-login
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 tp-task2-afs-heimdal-login | tp-task2-afs-mit-login
Description: software to configure login for homedir in AFS
 Software needed for your homedir to be placed in AFS, to authenticate
 you need to choose between kerberos client from Heimdal or MIT.
 .
 You can use pre-compiled modules for Debian v3.1 Kernels or install
 openafs-modules-source to compile your own modules.
 .
 To configure the software use tp-conf-openafs-config.


Package: tp-task2-afs-heimdal-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients,
 openafs-client
Recommends: openafs-modules2 | openafs-modules-source,
Replaces: tp-openafs, tp-task-openafs-heimdal
Description: software to be a client of openafs and kerberos of Heimdal
 Software needed to be a cliente of openafs using Heimdal
 implementation of Kerberos 5.  
 .
 You can use pre-compiled modules for Debian v3.1 Kernels or install
 openafs-modules-source to compile your own modules.
 .
 To configure the software use tp-conf-openafs-config.


Package: tp-task2-afs-mit-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-user,
 openafs-client, openafs-krb5
Recommends: openafs-modules2 | openafs-modules-source, 
Replaces: tp-openafs
Description: software to be a client of openafs and kerberos of MIT
 Software needed to be a cliente of openafs using MIT
 implementation of Kerberos 5.  
 .
 You can use pre-compiled modules for Debian v3.1 Kernels or install
 openafs-modules-source to compile your own modules.
 .
 To configure the software run tp-conf-openafs-config or to change the
 defalt cell.


Package: tp-task2-afs-heimdal-login
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients,
 openafs-client, tp-conf-afs-client, tp-conf-afs-login, 
 tp-aklog,
 libnss-ldapd |  libnss-ldap, libpam-ldapd | libpam-ldap,
 libpam-heimdal, openafs-krb5, libpam-afs-session
Recommends: openafs-modules2 | openafs-modules-source, 
Replaces: tp-openafs-log, tp-task-openafs-login-heimdal
Suggests: tp-conf-afs-login
Description: login using Kerberos Heimdal, LDAP and OpenAFS
 Software needed to login using Kerberos passwords, information users
 from LDAP and home directory in OpenAFS directories.  More commonly
 named integrated login.
 .
 You can use pre-compiled modules for Debian v3.1 Kernels or install
 openafs-modules-source to compile your own modules.
 .
 Auto configure is not yet available, use this information on this
 Wiki page
 https://ciist.ist.utl.pt/ciwiki/LoginIntegradoNaDebianSargeTagus
 .
 Description of packages:
 .
 * heimdal-clients - kerberos clients from Heimdal
 .
 * openafs-client  - openafs client to access openafs file
 .
 * libnss-ldap - add support for ldap method to nsswitch.conf
 .
 * libpam-ldap - ldap module for pam
 .
 * libpam-krb5 - kerberos module for pam
 .
 * openafs-krb5 - aklog program, not really needed
 .
 * libpam-afs-session - openafs-session module from pam, needed to
   get afs tokens.


Package: tp-task2-afs-mit-login
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-user,
 openafs-client, tp-conf-afs-client, tp-conf-afs-login, 
 tp-aklog,
 libnss-ldapd |  libnss-ldap, libpam-ldapd | libpam-ldap,
 libpam-krb5, openafs-krb5, libpam-afs-session
Recommends: openafs-modules2 | openafs-modules-source, 
Replaces: tp-openafs
Description: login using MIT Kerberos, LDAP and OpenAFS
 Software needed to login using Kerberos passwords, information users
 from LDAP and home directory in OpenAFS directories.  More commonly
 named integrated login.
 .
 You can use pre-compiled modules for Debian v3.1 Kernels or install
 openafs-modules-source to compile your own modules.
 .
 Auto configure is not yet available, use this information on this
 Wiki page
 https://ciist.ist.utl.pt/ciwiki/LoginIntegradoNaDebianSargeTagus
 .
 Description of packages:
 .
 * krb5-user - kerberos clients from MIT
 .
 * openafs-client  - openafs client to access openafs file
 .
 * libnss-ldap - add support for ldap method to nsswitch.conf
 .
 * libpam-ldap - ldap module for pam
 .
 * libpam-krb5 - kerberos module for pam
 .
 * openafs-krb5 - aklog program
 .
 * libpam-afs-session - openafs-session module from pam, needed to
   get afs tokens.


Package: tp-aklog
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, openafs-krb5 (>= 1.4)
Description: personalized aklog to be used in IST
 This aklog is personalized to work arouns some limitations in the
 original aklog from openafs-krb5
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build
	#docbook-to-man debian/tp-conf-openafs-heimdal.sgml > tp-conf-openafs-heimdal.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/$*.
	$(MAKE) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
